Parla con un Esperto

Firmware for U1610A/U1620A Handheld Digital Oscilloscope

Always update your handheld oscilloscope with the latest firmware to maximize the performance of the instrument. Please follow all the instructions below step-by-step to ensure the firmware installation is successful through USB drive.

Caution:
Ensure there are sufficient power supply and no power interruption to the handheld scope during the firmware loading process.
It’s recommended to connect the power source to the handheld scope during the firmware loading process.




 

Release Date Version Version Description
2014-09-08 0.160.3 Firmware Installation Instructions for U1610A/U1620A Handheld Digital Oscilloscope - (Rev 0.160.3).

How to Download

  • Download the firmware zip file, unzip and copy the files “updateNewATN.bin” & “updateNewATO.bin” to a clean USB thumb drive (in root directory).

How to Install

  • NOTE: The firmware upgrade will reset system settings and erase waveform setup. Only waveform traces can be retrieved in the new firmware version.
  • Step 1: Plug the USB thumb drive into the handheld scope.
  • Step 2: Press “User” button and select “Host” by toggling (pressing F1) the selection under the USB menu.
  • Step 3: Press “User” button and select “Service” by pressing F4 key.
  • Step 4: Select “Update firmware” by pressing F1 key.
  • Step 5: Choose OK to proceed with the firmware update.
  • Step 6: The unit will update the firmware and reboot automatically.
    Do note that system will takes approximately 1 minute for the copying process to take place (DO NOT press “OK” repeatedly during this process).
  • Step 7: The unit will update the firmware and reboot automatically.
  • Step 8: Press “User” and select “System Information” (F5) key to check the firmware revision as follows:-
    - Firmware: 0.160.3.C (For 100MHz scope, U1610A)
    - Firmware : 0.160.3.A (For 200MHz scope, U1620A)

Licensing

  • Does Not Require a License

Supporting Documentation

Add-On Software / Utilities

Download

Installs on:

Instrument

Operating System

  • Windows 7
  • Windows Vista

Prerequisites

  • Ensure the handheld scope is loaded with firmware version 130.4 or above before proceed to version 150.9. You are required to upgrade the handheld scope to version 130.4 if the current version is 126.1 / 128.21 / 129.0
     

Supported Instruments

  • U1610A,U1620A